Package: groovy.ui

## [Groovy] Class ConsoleIvyPlugin

- groovy.ui.ConsoleIvyPlugin

- Groovy Swing console. Adds Groovy Grape feedback (via an Ivy listener).

  Authors:
    Guillaume Laforge
    Paul King

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Set<String>` | `downloadedArtifacts`
    `Set<String>` | `resolvedDependencies`
    `Console` | `savedConsole`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `def` | `addListener(Console console)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### Set<String> downloadedArtifacts

    - #### Set<String> resolvedDependencies

    - #### Console savedConsole

  - ### Method Detail

    - #### def addListener(Console console)